// Nerf vanilla armor to a very low durability to encourage using modded armor sets

ItemEvents.modification(event => {

  event.modify('minecraft:leather_helmet', item => {item.maxDamage = 1})
  event.modify('minecraft:leather_chestplate', item => {item.maxDamage = 1})
  event.modify('minecraft:leather_leggings', item => {item.maxDamage = 1})
  event.modify('minecraft:leather_boots', item => {item.maxDamage = 1})
  
  event.modify('minecraft:chainmail_helmet', item => {item.maxDamage = 1})
  event.modify('minecraft:chainmail_chestplate', item => {item.maxDamage = 1})
  event.modify('minecraft:chainmail_leggings', item => {item.maxDamage = 1})
  event.modify('minecraft:chainmail_boots', item => {item.maxDamage = 1})
  
  event.modify('minecraft:iron_helmet', item => {item.maxDamage = 1})
  event.modify('minecraft:iron_chestplate', item => {item.maxDamage = 1})
  event.modify('minecraft:iron_leggings', item => {item.maxDamage = 1})
  event.modify('minecraft:iron_boots', item => {item.maxDamage = 1})
  
  event.modify('minecraft:gold_helmet', item => {item.maxDamage = 1})
  event.modify('minecraft:gold_chestplate', item => {item.maxDamage = 1})
  event.modify('minecraft:gold_leggings', item => {item.maxDamage = 1})
  event.modify('minecraft:gold_boots', item => {item.maxDamage = 1})
  
  event.modify('minecraft:diamond_helmet', item => {item.maxDamage = 1})
  event.modify('minecraft:diamond_chestplate', item => {item.maxDamage = 1})
  event.modify('minecraft:diamond_leggings', item => {item.maxDamage = 1})
  event.modify('minecraft:diamond_boots', item => {item.maxDamage = 1})
  
  event.modify('minecraft:netherite_helmet', item => {item.maxDamage = 1})
  event.modify('minecraft:netherite_chestplate', item => {item.maxDamage = 1})
  event.modify('minecraft:netherite_leggings', item => {item.maxDamage = 1})
  event.modify('minecraft:netherite_boots', item => {item.maxDamage = 1})
})